{% extends 'base.html.twig' %}

{% block title %}Votre panier{% endblock %}

{% block body %}
    <section>
        <h1>Votre panier</h1>
    </section>

    <table class="table" style="margin-left:20%;">
        <thead>
            <tr>
                <th>Produit</th>
                <th>Prix</th>
                <th>Quantité</th>
                <th>Total</th>
                <th>Actions</th>
            </tr>
        </thead>
        <tbody>
            {% for element in dataPanier %}
                <tr>
                    <td>{{ element.produit.name }}</td>
                    <td>{{ element.produit.price }} €</td>
                    <td>{{ element.quantite }}</td>
                    <td>{{ element.quantite * element.produit.price }} €</td>
                    <td>
                        <a style="color:black;" href="{{path("add", {id: element.produit.id})}}">add</a>
                            
                        </a>
                        <a style="color:black;" href="{{path("remove", {id: element.produit.id})}}">remove</a>
                            
                        </a>
                        <a style="color:black;"href="{{path("delete", {id: element.produit.id})}}">remove all</a>
                            
                        </a>
                    </td>
                </tr>
            {% else %}
                <tr>
                    <td>Votre panier est vide</td>
                </tr>
            {% endfor %}
        </tbody>
        <tfoot>
            <tr>
                <td>Total</td>
                <td class="text-end">{{ total }} €</td>
                <td>
                    {# <a href="{{path("delete_all")}}"> #}
                        
                    </a>
                </td>
            </tr>
        </tfoot>
    </table>
    
{% endblock %}